13

For a scientific project I need to install these operating systems on my Mac Pro.

The catch is...

It has to run on a native hardware, no level 1 or 2 virtualization is allowed.

Here is the list of OSs I need to be able to boot to (some may be even added later):

1. FreeDOS
2. Windows 95
3. Windows XP
4. Windows 7
5. Windows 10
6. Slackware
7. Debian
8. Ubuntu
9. Arch
10. Gentoo
11. Fedora
12. Xinu
13. Minix
14. FreeBSD
15. NetBSD
16. OpenSolaris
17. OS X v10.0
18. OS X v10.1
19. OS X v10.2
20. OS X v10.3
21. OS X v10.4
22. OS X v10.5
23. OS X v10.6
24. OS X v10.7
25. OS X v10.8
26. OS X v10.9
27. OS X v10.10
28. OS X v10.11

Can somebody tell me if it's possible with some existing bootloader for Mac or not?

UPDATE: This testing system doesn't have to have only 1 bootloader. For example, I can have 2 or 3 USB sticks with different bootloaders and the systems will be installed on the Mac Pro disk's partitions.

  • 7
    Simple answer would be "No". More complex would be.. can't install any Mac OS older than the machine itself (& no Mac that could run 10.1 could run 10.8, so Catch 22 right there). You could do some, if not all the windows in VM, but not in hardware [boot camp] except XP upwards. The nix family, idk. – Tetsujin Nov 7 '15 at 20:17
  • 1
    You forgot Mac OS 7, Mac OS 8 and Mac OS 9 which then sums up to 31 OSs – klanomath Nov 7 '15 at 20:17
  • 3
    @JohnDoerthy Please add the purpose of the scientific project. Answering this question makes me already feel like being the guinea pig ;-) – klanomath Nov 7 '15 at 21:44
  • 7
    just for the curious: Why can't you run VMs? – WernerCD Nov 8 '15 at 3:08
  • 2
    OSX 10.0-10.3 do not have even publicly available Intel builds, so you need at least one additional PowerPC machine (or allow virtual machines). – el.pescado Nov 8 '15 at 12:53
28

Depending on your Mac Pro the following OSs should run (or not). I didn't include every Mac Pro ever sold, but I tried to list major development steps ( e.g different EFI-architectures 32bit->64 bit):

                     MacPro1,1   MacPro3,1  MacPro5,1* MacPro6,1 
 1. FreeDOS            +/-         uc         uc         uc
 2. Windows 95          -           -          -          -
 3. Windows XP         ++          ++         ++          -
 4. Windows 7          ++          ++         ++          -
 5. Windows 8           -         (++)        ++         ++
 6. Windows 10          -         (++)       (++)        ++
 7. Slackware           +           +          +          +
 8. Debian              +           +          +          +
 9. Ubuntu              +           +          +          +
10. Arch                +           +          +          +
11. Gentoo              +           +          +          +
12. Fedora              +           +          +          +
13. Xinu                -           -          -          -
14. Minix              uc          uc         uc         uc
15. FreeBSD           +/-          uc         uc         uc
16. NetBSD            +/-         +/-        +/-         uc
17. OpenSolaris         +         +/-        +/-         uc
18. OS X v10.0          -           -          -          -
19. OS X v10.1          -           -          -          -
20. OS X v10.2          -           -          -          -
21. OS X v10.3          -           -          -          -
22. OS X v10.4         ++           -          -          -
23. OS X v10.5         ++          ++          -          -
24. OS X v10.6         ++          ++         ++          -
25. OS X v10.7         ++          ++         ++          -
26. OS X v10.8          -          ++         ++          -
27. OS X v10.9          -          ++         ++         ++
28. OS X v10.10         -          ++         ++         ++
29. OS X v10.11         -          ++         ++         ++

-: doesn't run  ++: officially supported (++): runs probably +: runs maybe one/two drivers missing
+/-: some drivers missing  uc: unclear  *Newer MacPro5,1s probably can't run 10.6 

I've compiled this list from various sources and it's probably not complete. I've embezzled the minor version numbers of the OS X versions (e.g MacPro1,1 needs at least 10.4.7). Some entries are well funded (like the Microsoft and Apple OSs), others are derived from my own experience or internet sources. A + or +/- doesn't necessarily mean that it is an easy job to get the system installed/booted. I welcome edits by more knowledgeable people though.


Addendum:

I've found two computer lookalikes which probably run all of those systems, the second one misses a video card though - and both are obviously no Mac Pros:

enter image description here

enter image description here

;-)

  • Nice, I'm saving this for future reference. In another comment, he said the Mac Pro is about a year old, so it's probably a MacPro6,1 (the Late 2013 series). – Gordon Davisson Nov 7 '15 at 21:25
  • @GordonDavisson I saw that also, but too late. – klanomath Nov 7 '15 at 21:27
  • 2
    Wow, thanks, I see I would need "a few" Macs for this project ;) – John Doerthy Nov 7 '15 at 21:29
  • 1
    While not officially supported MacPro1,1 can run everything up to the current 10.11 with the Piker-Alpha boot loader github.com/Piker-Alpha/macosxbootloader – Lee Joramo Jan 27 '16 at 20:02
  • @LeeJoramo I don't think the Mac Pro1,1 could natively run Panther (10.3) or below, as they were PPC only. – Wowfunhappy Aug 28 '17 at 0:15
16

It cannot be done in hardware

Mac OS 10.0 through 10.3 only run on PowerPC machines. 10.4 and 10.5 could run on both (10.4 had separate versions for the two platforms, but 10.5 used a unified install). 10.6 and later can only run on Intel CPUs. Thus, there is no computer in existence that can run both 10.3 and 10.6. Also, 10.7 only supports 64-bit Intel CPUs (although a lot of its components include both 32- and 64-bit binaries), and 10.8 also requires 64-bit EFI firmware.

No Mac can run an OS older than itself - the hardware didn't exist to write the drivers for it.

Even in VM, no OS before 10.7 [maybe 10.5/10.6 server iirc, but not non-server] is licensed for VM.

Boot Camp for running Windows - no Mac old enough to run Windows XP can run Windows 10, because Boot Camp itself limits which OS can be installed.

For Unix variants, I invite edits…

  • No Mac can run an OS older than itself I have 1 year old Mac Pro that should be fine. Although you are right that the versions before 10.6 will be probably impossible to install and I would need to use the old Mac from our school. – John Doerthy Nov 7 '15 at 20:40
  • 1
    No - a 1-year-old Mac Pro will run El Capitan & Yosemite, nothing earlier [Mavericks if you're lucky]. Anything before that, not a hope. 'Old Mac from school' will be the same, nothing before the day it was built. I'm going to edit my post to make the essential point more prominent... – Tetsujin Nov 7 '15 at 20:43
  • 2
    If your Mac Pro is a year old, it's presumably one of the Late 2013 models. These were released when OS X 10.9.1 was current, but 10.9.1 didn't include the necessary drivers, support files, etc for the new models, so Apple released a special version -- 10.9.1 build #13B4116 -- with the necessary support added. Later versions (starting with 10.9.2) include support for these models. Apple never added the necessary files to any earlier version of OS X, so you won't be able to run anything earlier on this Mac. – Gordon Davisson Nov 7 '15 at 21:15
  • [continuing] You might be able to Frankenstein the necessary drivers etc into an earlier version of OS X, but you'd need to know quite a lot about the OS structure to figure out how to do it, and there's no guarantee they'd be compatible anyway. They certainly wouldn't be compatible with anything before 10.6, since all current kernel drivers are 64-bit only, and before 10.6 the kernel was 32-bit only (10.6 through 10.8 had "fat" kernels that could run in either 32- or 64-bit mode). – Gordon Davisson Nov 7 '15 at 21:22
  • @Tetsujin So, if I have an install disk/iso of 10.7 or 10.8 I cannot install this version of Mac os on the new Mac Pro? And the 64bit CPU can run 32bit OS, that's not an issue, you just use different instructions that the chip offers. regarding GPU drivers and compatibility, I don't need to have the highest resolution , I can run the OS in some default (low res) mode on 256 colors etc., that's not an issue for this project. – John Doerthy Nov 7 '15 at 21:23
4

Besides the issues others have brought up, with earlier Microsoft operating systems, you will run into the issue that they require MBR-formatted hard disks, which support a maximum of four partitions. You might be able to get around that with either multiple hard disks, or physically swapping out hard disks.

You may also run into issues with very old versions of Windows that may require hardware that your Mac no longer includes. I can't think of a specific example, though.

  • Win95 doesn't support FAT32 unless you get OSR2. Without FAT32, you'll be limited to 2GB which isn't big enough for Win7 or Win10. The 4 partitions can be worked around by using an Extended partition with logical drives. Additionally, there can be more than 4 partitions; the typical MBR support only limits to 4 active partitions. But by safely adjusting the partition boundaries without destroying the content, a person can make "partition 2" point to where another OS sits dormant on a hard drive. I'd best w/ documentation, Ranish Part Mgr and XFDisk and OpenBSD fdisk could help with that. – TOOGAM Nov 9 '15 at 11:58
  • @TOOGAM Interesting. I didn't know that there were several different MBR formats. You are right, some support up to 16 primary partitions, but that's pretty nonstandard. I don't think you can make extended partitions bootable, though, at least not without tricky bootloader manipulations, which seems to run counter to the OP's intent. – Kevin Keane Nov 16 '15 at 20:38
  • Depends on which boot loader. A boot loader runs code at another location. That "other code" may be an operating system, or another boot loader (hence why GRUB has an option called "chainloader": it's a chain, like a chain reaction). A boot loader providing a choice of operating systems is a "boot manager". Some boot loaders support only primary partitions; I think some (OS/2's? Ranish/XFDisk?) support booting extended partitions. Some may be less flexible. OpenBSD's uses 2 boot loaders; an installer hard-codes a location in a 1st boot loader which just runs a more capable 2nd boot loader. – TOOGAM Nov 16 '15 at 20:56
1

On Minix, hardware support might be an issue. First of all - are you talking about the original Minix from Andrew Tannenbaum's book, or the latest iteration?

According to http://wiki.minix3.org/doku.php?id=usersguide:hardwarerequirements it requires a computer with a BIOS (not UEFI - although you apparently can use GRUB to circumvent that problem) an MBR-style disk. I think the last one might be what could kill Minix for you; as far as I know, all the Macs use EFI.

Also, the amount of hardware supported seems fairly limited; there are only 10 different NICs listed, for instance. You may not be able to get networking.

0

I am currently the owner of a Mac Pro 1,1 dual booting OS X 10.11 (El Capitan) + Windows 10 x64. I didn't experience any driver incompatibility issue. There are few modifications you have to do in order to achieve that goal.

  1. Install rEFInd
  2. Get an Apple compatible GPU that can be flashed with an "Apple ROM" in order to run the latest OS X version + having a booting screen at the same time make sure you GPU card is well supported by all your Linux distro (PS: Don't buy a new Nvidia graphic card with new Maxwell architecture )
  3. A spare SATA drive ( that you will use as "installation disk". We don't use CD or USB in order to install (OSX, Linux , and Windows) because of booting incompatibility)
  4. VirtualBox (PS: VirtualBox will be used to mount real physical hard drive to a VM where your Windows operating system will be installed in order to have a bootable partition)
  5. UNetbootin (To create all your Linux Installation "cd" on the spare SATA drive).

Note: If you want I can make 3 tutorials (the easy and simple way) explaining how to

  1. Install any version of Linux on a MacPro 1,1
  2. How to install any version of Windows on a MacPro 1,1

and finally

  1. How to install any version OS X (the latest) on a MacPro 1,1.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .